com.aliyun.svideosdk.common.struct.effect

## Class TrackEffectMV

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.effect.EffectBase
  - - com.aliyun.svideosdk.common.struct.effect.TrackEffectMV

-     public class TrackEffectMV
      extends EffectBase

  Added in v3.27.0 The mv bean of track

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TrackEffectMV.Builder`

  - ### Field Summary

    - ### Fields inherited from class com.aliyun.svideosdk.common.struct.effect.EffectBase

      `mSource, resId, viewId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TrackEffectMV()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAudioStreamId()` Get the stream id
    `long` | `getDuration()` Get the duration, unit : Milliseconds.
    `long` | `getDuration(java.util.concurrent.TimeUnit timeUnit)` Get the duration
    `long` | `getStartTime()` Get the start time of audio stream in the track， Unit : Milliseconds
    `long` | `getStartTime(java.util.concurrent.TimeUnit timeUnit)` Get the start time of audio stream in the track
    `void` | `setAudioStreamId(int audioStreamId)` Set the stream id

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.effect.EffectBase

      `checkIsInvalid, copy, getPath, getResId, getSource, getViewId, readString, setPath, setResId, setSource, setViewId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TrackEffectMV

          public TrackEffectMV()

  - ### Method Detail

    - #### getStartTime

          public long getStartTime()

      Get the start time of audio stream in the track， Unit : Milliseconds
      Returns:
        startTime

    - #### getStartTime

          public long getStartTime(java.util.concurrent.TimeUnit timeUnit)

      Get the start time of audio stream in the track
      Parameters:
        `timeUnit` - TimeUnit
      Returns:
        startTime

    - #### getDuration

          public long getDuration()

      Get the duration, unit : Milliseconds.
      Returns:
        duration

    - #### getDuration

          public long getDuration(java.util.concurrent.TimeUnit timeUnit)

      Get the duration
      Parameters:
        `timeUnit` - 时间单位
      Returns:
        duration

    - #### getAudioStreamId

          public int getAudioStreamId()

      Get the stream id

    - #### setAudioStreamId

          public void setAudioStreamId(int audioStreamId)

      Set the stream id
      Parameters:
        `audioStreamId` -